#
# spec file for package gnuserv (Version 3.12.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf emacs emacs-x11 xaw3d xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs emacs emacs-x11 file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xdevel xf86 xshared

Name:         gnuserv
Copyright:    GPL 1999
Group:        Applications/Editors/Emacs
Provides:     fgnuserv 
Obsoletes:    fgnuserv
Autoreqprov:  on
Summary:      Server and Clients for Emacs
Version:      3.12.1
Release:      142
# ftp://ftp.splode.com/pub/users/friedman/packages/fgnuserv-1.0.tar.gz
# http://meltin.net/hacks/emacs/gnuserv-3.11.1.tar.gz
Source:       http://linuxcare.com.au/people/martins/hacks/emacs/src/gnuserv-%{version}.tar.gz
Source1:      README.SuSE
Patch:        gnuserv-3.11.1.dif
BuildRoot:    %{_tmppath}/%{name}-root

%description
This package is not required for XEmacs, as the tools included here are a part of the XEmacs package.
With these tools, an already running Emacs can be accessed "externally," for example, in order to edit a file or run a code in Emacs Lisp. This way, there is no need to start a new Emacs each time another application loads an editor.
hints at /usr/share/doc/packages/gnuserv/README.SuSE.

Authors:
--------
    Andy Norman <ange@hplb.hpl.hp.com>
    Arup Mukherjee <arup@cmu.edu>
    Bob Weiner <weiner@mot.com>
    Darrell Kindred <dkindred@cmu.edu>
    Martin Schwenke <martin@meltin.net>
    Noah Friedman <friedman@prep.ai.mit.edu>

SuSE series: e

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
# %setup -n gnuserv-$RPM_PACKAGE_VERSION
%setup -n $RPM_PACKAGE_NAME-$RPM_PACKAGE_VERSION
cp -p $RPM_SOURCE_DIR/README.SuSE .
%patch -p1

%build
# export LC_CTYPE=ISO-8859-1
autoconf
autoheader
./configure --prefix=%{_prefix}
make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s
make gnuserv.elc
# emacs -batch -f batch-byte-compile gnuserv.el

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
%{INSTALL_DIR} $RPM_BUILD_ROOT%{_mandir}/man1 \
               $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
make install prefix=$RPM_BUILD_ROOT%{_prefix} \
	     man1dir=$RPM_BUILD_ROOT%{_mandir}/man1
make install-elisp elispdir=$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp \
                   prefix=$RPM_BUILD_ROOT%{_prefix}
export RPM_BUILD_ROOT

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING README README.orig README.SuSE
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/emacs/site-lisp/*

%changelog -n gnuserv
* Sun May 06 2001 - schwab@suse.de
- Fix portability bug.
* Tue Mar 13 2001 - ro@suse.de
- added emacs-x11 to neededforbuild
* Thu Mar 08 2001 - uli@suse.de
- added xf86 to neededforbuild
* Mon Feb 05 2001 - ke@suse.de
- Update to version 3.12.1 (security update on request by Martin
  Schwanke; thanks!).
- Use more RPM macros.
* Fri Nov 17 2000 - ro@suse.de
- ge_exec -> emacs
* Mon Feb 28 2000 - schwab@suse.de
- /usr/man -> /usr/share/man
- Add group tag.
- configure -> %%build
* Mon Oct 04 1999 - ke@suse.de
- Update: 3.11.1 (use sources provided by Martin Schwenke), based on
  recent XEmacs files.
- Rename package: formerly `fgnuserv'.
- spec file cleanup.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun May 02 1999 - ke@suse.de
- initial package: version 1.0.
